Subject: Re: [manet] Announcement: Implementation of PACMAN:Passive Autoconfiguration for MANETs

From: Kilian Weniger <[email-masked]>
Date: Mon, 11 Oct 2004 17:27:19 +0200

Hello Christophe,

yes, n won't be a leader. Instead, n would be an isolated node and thus would
use the "Isolated Node"-Flag to join a nearby subnet. A node recognizes that
it is isolated, when it does not receive any RA messages from leaders and is
not a leader itself (see paper).

However, we do not follow this approach anymore and developed PACMAN instead,
since we found out how significant the improvements in efficiency and
robustness are that can be achieved by using information from on-going
routing protocol traffic.

Regards,

Kilian

Am Montag, 11. Oktober 2004 15:29 schrieben Sie:
> Hello,
>
> I have a question regarding your "old" paper published in 2002 (IPv6
> Autoconfiguration in Large Scale Mobile Ad-Hoc Networks). The question
> is related to the leader election algorithm. If I remember, a node
> elects itself as a leader if it is the node that has the highest degree
> in a radius of size rs around itself.
>
> I attached an eps figure that shows a problematic case ... If say E(n)
> is the set of nodes within radius rs of node n. On the figure there is a
> node k and a node l (L). Say node l is the leader of E(k) and E(l)-->
> i.e. l is the node with highest degree in E(k) and E(l). Say now that k
> is the node with highest degree in E(n). That means n won't be a leader
>
> : it will think k is the leader in E(n). The problem is that k does not
>
> decide to be a leader because l is the leader in E(k). If a similar
> situation occurs for all nodes "k" in E(n) there won't be a leader in E(n).
>
> Is this a problem ? Did I miss something ?
>
> Regards,
> Christophe
>
> Kilian Weniger wrote:
> >Hi all,
> >
> >we would like to announce the first public release of a "Passive
> >Autoconfiguration for MANETs (PACMAN)"-implementation for Linux.
> >PACMAN is is an efficient and robust distributed solution for
> >assigning and maintaining unique IP addresses in a MANET
> >(see "K. Weniger: PACMAN: Passive Autoconfiguration for Mobile Ad hoc
> >Networks", to appear in IEEE JSAC, March 2005).
> >To the best of our knowledge, this is the first publicly available
> >implementation of an address autoconfiguration protocol for MANETs.
> >The implementation was demonstrated at the ACM Mobicom 2004.
> >
> >PACMAN heavily uses cross-layer information from ongoing routing protocol
> >traffic: The maintenance of an address allocation table as well as the
> >Duplicate Address Detection (DAD) are performed in a passive manner
> >and therefore generate no additional communication overhead.
> >The Passive DAD (PDAD) component is able to detect address conflicts
> >whenever they occur (e.g. after network mergers) based on anomalies in the
> >routing protocol traffic. Different routing protocols are supported by
> > PACMAN. However, a modification of the message format or the
> > implementation of the routing protocol is not necessary. Thus, existing
> > routing protocol implementation as, e.g., the UniK OLSR implementation,
> > can be used. support for OLSR and FSR is implemented. Due to a modular
> > architecture, new protocols can easily be added.
> >
> >The source code as well as related publications, links, a GUI and some
> > tools for tests and demonstrations are available for download at
> >
> >  http://pacman-autoconf.sourceforge.net
> >  http://sourceforge.net/projects/pacman-autoconf/
> >
> >Both the implementation as well as the concepts were developed within the
> >project IPonAir by members of the Institute of Telematics, University of
> >Karlsruhe, Germany.
> >(http://www.iponair.de), (http://www.tm.uka.de/itm-zitterbart.html)
> >
> >
> >Regards,
> >
> >Kilian Weniger

--
Dr.-Ing. Kilian Weniger
Institute of Telematics, Universitaet Karlsruhe (TH)
Zirkel 2, 76128 Karlsruhe, Germany
Phone: +49 721 608 6415, Fax: +49 721 388097
Email: [email-masked], HP: http://www.tm.uka.de/~weniger

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet